# 머신러닝시스템 2024

[![halla-img]][halla-url]
[![course-img]][course-url]
[![lecture-img]][lecture-url]
[![pypi-image]][pypi-url]
[![version-image]][release-url]
[![release-date-image]][release-url]
[![license-image]][license-url]
[![codecov][codecov-image]][codecov-url]
[![jupyter-book-image]][docs-url]

<!-- Links: -->
[halla-img]: https://img.shields.io/badge/CHU-halla.ai-blue
[halla-url]: https://halla.ai
[course-img]: https://img.shields.io/badge/course-entelecheia.ai-blue
[course-url]: https://course.entelecheia.ai
[lecture-img]: https://img.shields.io/badge/lecture-entelecheia.ai-blue
[lecture-url]: https://lecture.entelecheia.ai

[codecov-image]: https://codecov.io/gh/chu-aie/mlops-2024/branch/main/graph/badge.svg?token=6OxfwdlW4Y
[codecov-url]: https://codecov.io/gh/chu-aie/mlops-2024
[pypi-image]: https://img.shields.io/pypi/v/mlops2024
[license-image]: https://img.shields.io/github/license/chu-aie/mlops-2024
[license-url]: https://github.com/chu-aie/mlops-2024/blob/main/LICENSE
[version-image]: https://img.shields.io/github/v/release/chu-aie/mlops-2024?sort=semver
[release-date-image]: https://img.shields.io/github/release-date/chu-aie/mlops-2024
[release-url]: https://github.com/chu-aie/mlops-2024/releases
[jupyter-book-image]: https://jupyterbook.org/en/stable/_images/badge.svg

[repo-url]: https://github.com/chu-aie/mlops-2024
[pypi-url]: https://pypi.org/project/mlops2024
[docs-url]: https://mlops2024.halla.ai
[changelog]: https://github.com/chu-aie/mlops-2024/blob/main/CHANGELOG.md
[contributing guidelines]: https://github.com/chu-aie/mlops-2024/blob/main/CONTRIBUTING.md
<!-- Links: -->

Machine Learning Systems Design

- Documentation: [https://mlops2024.halla.ai][docs-url]
- GitHub: [https://github.com/chu-aie/mlops-2024][repo-url]
- PyPI: [https://pypi.org/project/mlops2024][pypi-url]

이 수업은 실제 운영 환경에서 기계 학습 시스템의 설계, 구현 및 관리에 대한 실질적인 측면을 다룹니다. 본 과정은 학생들에게 기계 학습 워크플로를 기존 소프트웨어 개발 및 운영 프로세스와 원활하게 통합하는 데 필요한 기술을 제공합니다. 이 과정에서는 DevOps, MLOps 및 보안 관행을 강조합니다. 학생들은 실습 프로젝트를 통해 dot 파일, git, Docker, Kubernetes, CI/CD 파이프라인, Weights & Biases 등 첨단 도구와 방법론을 사용하여 강력한 기계 학습 모델을 구축, 배포하고 유지 관리합니다. 또한, 이 과정은 학생들에게 GitOps, DevSecOps 및 LLMOps의 새로운 분야를 소개하여 실제 기계 학습 애플리케이션의 복잡성에 대비합니다.

## Changelog

See the [CHANGELOG] for more information.

## Contributing

Contributions are welcome! Please see the [contributing guidelines] for more information.

## License

This project is released under the [CC-BY-4.0 License][license-url].
